Subject: Re: [PATCH v2] hooks: propose project configured hooks

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Apr 2021 17:13:57 -0700

Albert Cui <[email-masked]> writes:

> I'm a little confused, and maybe it's because we have different
> definitions of what "installing hooks" means. By installing hooks,
> I meant the addition of the hook command to the config, e.g the
> outcome of:
>
> `git config --add hook.pre-commit.command pylint`

Yeah, I was envisioning that it won't be as a simple, mechanical and
unconditional single command invocation.  Rather, the 'pylint' part
would have to become different depending on the environment (e.g.
what operating system you are on, what editor you prefer, etc.).
And the part that decides what kind of environment you are on would
have to be written by the project that controls the "project-managed
hooks"---unfortunately that would most likely to be an error-prone
part.